package com.ruoyi.model.mapper;

import java.util.List;
import com.ruoyi.model.domain.AppletPet;

/**
 * 宠物信息Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-30
 */
public interface AppletPetMapper 
{
    /**
     * 查询宠物信息
     * 
     * @param id 宠物信息主键
     * @return 宠物信息
     */
    public AppletPet selectAppletPetById(Long id);

    /**
     * 查询宠物信息列表
     * 
     * @param appletPet 宠物信息
     * @return 宠物信息集合
     */
    public List<AppletPet> selectAppletPetList(AppletPet appletPet);
    public List<AppletPet> selectAppletPetListByOrderId(Long orderId);

    /**
     * 新增宠物信息
     * 
     * @param appletPet 宠物信息
     * @return 结果
     */
    public int insertAppletPet(AppletPet appletPet);

    /**
     * 修改宠物信息
     * 
     * @param appletPet 宠物信息
     * @return 结果
     */
    public int updateAppletPet(AppletPet appletPet);

    /**
     * 删除宠物信息
     * 
     * @param id 宠物信息主键
     * @return 结果
     */
    public int deleteAppletPetById(Long id);

    /**
     * 批量删除宠物信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppletPetByIds(Long[] ids);
}
